Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::views::remove_base_fn Struct Reference
Inheritance diagram for ranges::views::remove_base_fn:

## Public Member Functions
template<typename Rng , typename Value >
constexpr auto | operator() (Rng &&rng, Value value) const
template<typename Rng , typename Value , typename Proj >
constexpr auto | operator() (Rng &&rng, Value value, Proj proj) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Rng , typename Value >

constexpr auto ranges::views::remove_base_fn::operator() | ( | Rng && | rng,
|  | Value | value
| ) |  | const
| constexpr

Precondition
  requires `move_constructible<Value> && viewable_range<Rng> && input_range<Rng> && indirectly_comparable<iterator_t<Rng>, Value const *, equal_to>`

## ◆ operator()() [2/2]

template<typename Rng , typename Value , typename Proj >

constexpr auto ranges::views::remove_base_fn::operator() | ( | Rng && | rng,
|  | Value | value,
|  | Proj | proj
| ) |  | const
| constexpr

Precondition
  requires `move_constructible<Value> && viewable_range<Rng> && input_range<Rng> && indirectly_comparable<iterator_t<Rng>, Value const *, equal_to, Proj>`

References ranges::aux::move.